Bug 82477 - gdb reports internal error after rpm exits
Summary: gdb reports internal error after rpm exits
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gdb (Show other bugs)
(Show other bugs)
Version: phoebe
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Elena Zannoni
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-22 16:20 UTC by Nathan G. Grennan
Modified: 2015-01-08 00:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-30 22:13:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nathan G. Grennan 2003-01-22 16:20:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
I was running gdb against rpm doing an upgrade when I got this:

/usr/src/build/192185-i386/BUILD/gdb+dejagnu-20021129/gdb/lin-lwp.c:1412:
internal-error: lin_lwp_wait: Assertion `iterate_over_lwps (running_callback,
NULL)' failed.
A problem internal to GDB has been detected.  Further
debugging may prove unreliable.


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. gdb rpm
2. run -U kernel-source-2.4.20-2.25.i386.rpm

    

Actual Results:  internal error

Expected Results:  no internal error

Additional info:

Comment 1 Warren Togami 2003-01-23 10:12:17 UTC
I can reproduce this 100% when attempting to debug "kword" from Gnome (Bug 80926).

[warren@laptop warren]$ rpm -q gdb
gdb-5.3post-0.20021129.7
[warren@laptop warren]$ rpm -q koffice
koffice-1.2.1-1
[warren@laptop warren]$ gdb kword
GNU gdb Red Hat Linux (5.3post-0.20021129.7rh)
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)...
(gdb) run
Starting program: /usr/bin/kword
[New Thread 1093842784 (LWP 27323)]
[LWP 27323 exited]
/usr/src/build/192185-i386/BUILD/gdb+dejagnu-20021129/gdb/lin-lwp.c:1412:
internal-error: lin_lwp_wait: Assertion `iterate_over_lwps (running_callback,
NULL)' failed.
A problem internal to GDB has been detected.  Further
debugging may prove unreliable.
Quit this debugging session? (y or n) y
Create a core file of GDB? (y or n) y
Aborted

(No core file appeared to have been saved.)

Comment 2 Warren Togami 2003-01-24 09:39:26 UTC
Could this error message below about asynchronous errors be causing this gdb
internal error?

gnome-terminal without XRENDER

(gdb) run
Starting program: /usr/bin/gnome-terminal
(no debugging symbols found)...[New Thread 1087256288 (LWP 4561)]
Xlib:  extension "RENDER" missing on display "192.168.0.3:0.0".
The program 'gnome-terminal' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 723 error_code 11 request_code 53 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[LWP 4561 exited]
                                                                                
/usr/src/build/192185-i386/BUILD/gdb+dejagnu-20021129/gdb/lin-lwp.c:1412:
internal-error: lin_lwp_wait: Assertion `iterate_over_lwps (running_callback,
NULL)' failed.
A problem internal to GDB has been detected.  Further
debugging may prove unreliable.
Quit this debugging session? (y or n)

Comment 3 Elena Zannoni 2003-01-27 15:37:46 UTC
This should be fixed in the next beta. 


Note You need to log in before you can comment on or make changes to this bug.